tigase.db.jdbc

## Class TigaseSPAuth

- java.lang.Object
- - tigase.db.jdbc.TigaseCustomAuth
  - - tigase.db.jdbc.TigaseSPAuth

- All Implemented Interfaces:
    AuthRepository, Repository

      public class TigaseSPAuth
      extends TigaseCustomAuth

  Tigase Salted Password Auth.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta`

  - ### Field Summary

    - ### Fields inherited from class tigase.db.jdbc.TigaseCustomAuth

      `DEF_ADDUSER_KEY, DEF_ADDUSER_QUERY, DEF_CONNVALID_KEY, DEF_DELUSER_KEY, DEF_DELUSER_QUERY, DEF_DISABLEACCOUNT_KEY, DEF_DISABLEACCOUNT_QUERY, DEF_ENABLEACCOUNT_KEY, DEF_ENABLEACCOUNT_QUERY, DEF_GETPASSWORD_KEY, DEF_GETPASSWORD_QUERY, DEF_INITDB_KEY, DEF_INITDB_QUERY, DEF_LISTDISABLEDACCOUNTS_KEY, DEF_LISTDISABLEDACCOUNTS_QUERY, DEF_NONSASL_MECHS, DEF_NONSASL_MECHS_KEY, DEF_SASL_MECHS, DEF_SASL_MECHS_KEY, DEF_UPDATEPASSWORD_KEY, DEF_UPDATEPASSWORD_QUERY, DEF_USERLOGIN_KEY, DEF_USERLOGIN_QUERY, DEF_USERLOGOUT_KEY, DEF_USERLOGOUT_QUERY, DEF_USERS_COUNT_KEY, DEF_USERS_COUNT_QUERY, DEF_USERS_DOMAIN_COUNT_KEY, DEF_USERS_DOMAIN_COUNT_QUERY, NO_QUERY, SP_STARTS_WITH`

    - ### Fields inherited from interface tigase.db.AuthRepository

      `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PASSWORD_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY, USERNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TigaseSPAuth()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(BareJID user, String password)` Describe `addUser` method here.
    `boolean` | `otherAuth(Map<String,Object> props)` Describe `otherAuth` method here.
    `void` | `updatePassword(BareJID user, String password)` Describe `updatePassword` method here.

    - ### Methods inherited from class tigase.db.jdbc.TigaseCustomAuth

      `digestAuth, getParamWithDef, getPassword, getResourceUri, getUsersCount, getUsersCount, initRepository, isUserDisabled, logout, plainAuth, queryAuth, removeUser, setUserDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TigaseSPAuth

          public TigaseSPAuth()

  - ### Method Detail

    - #### addUser

          public void addUser(BareJID user,
                              String password)
                       throws UserExistsException,
                              TigaseDBException

      Description copied from interface: `AuthRepository`
      Describe `addUser` method here.
      Specified by:
        `addUser` in interface `AuthRepository`
      Overrides:
        `addUser` in class `TigaseCustomAuth`
      Parameters:
        `user` - a `BareJID` value
        `password` - a `String` value
      Throws:
        `UserExistsException` - if an error occurs
        `TigaseDBException` - if an error occurs

    - #### otherAuth

          public boolean otherAuth(Map<String,Object> props)
                            throws UserNotFoundException,
                                   TigaseDBException,
                                   AuthorizationException

      Description copied from interface: `AuthRepository`
      Describe `otherAuth` method here.
      Specified by:
        `otherAuth` in interface `AuthRepository`
      Overrides:
        `otherAuth` in class `TigaseCustomAuth`
      Parameters:
        `props` - a `Map` value
      Returns:
        a `boolean` value
      Throws:
        `UserNotFoundException` - if an error occurs
        `TigaseDBException` - if an error occurs
        `AuthorizationException` - if an error occurs

    - #### updatePassword

          public void updatePassword(BareJID user,
                                     String password)
                              throws UserNotFoundException,
                                     TigaseDBException

      Description copied from interface: `AuthRepository`
      Describe `updatePassword` method here.
      Specified by:
        `updatePassword` in interface `AuthRepository`
      Overrides:
        `updatePassword` in class `TigaseCustomAuth`
      Parameters:
        `user` - a `BareJID` value
        `password` - a `String` value
      Throws:
        `UserNotFoundException`
        `TigaseDBException` - if an error occurs

Copyright © 2017 "Tigase, Inc.". All rights reserved.